#!BPY

"""
Name: 'Convex Hull Conversion'
Blender: 245
Group: 'Wizards'
Tooltip: 'Converts All Triangle Mesh Bounds to Convex Hull'
"""

__author__ = "D'Lanor"

import Blender
import bpy

counter = 0
for obj in bpy.data.scenes.active.objects:
    if obj.rbFlags & Blender.Object.RBFlags["BOUNDS"]:
        if obj.rbShapeBoundType == 4:
            obj.rbShapeBoundType = 5
            counter = counter + 1

if counter:
    Blender.Draw.PupMenu('%d objects converted' % counter)
